export declare const enum EndpointProtocol {
    Http = "http:",
    Https = "https:",
    WebSocket = "ws:",
    SecureWebSocket = "wss:"
}
export default class URLEndpoint {
    protocol: EndpointProtocol;
    host: string;
    port: number;
    constructor(protocol: EndpointProtocol, host: string, port?: number);
    encode(): string;
    private static fromProtocolString;
    private static parseHostAndPort;
    static parse(url: string): URLEndpoint;
}
